summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2016-07-28 07:54:38 +0200
committerHans de Graaff <graaff@gentoo.org>2016-07-28 08:05:55 +0200
commit778d0bfbe504315c1f21eec83e46c2bdfc81f2fc (patch)
tree73815150a0a673634d478d05508ad596c94aad1a /dev-ruby/rest-client
parentdev-ruby/spy: add 0.4.5 (diff)
downloadgentoo-778d0bfbe504315c1f21eec83e46c2bdfc81f2fc.tar.gz
gentoo-778d0bfbe504315c1f21eec83e46c2bdfc81f2fc.tar.bz2
gentoo-778d0bfbe504315c1f21eec83e46c2bdfc81f2fc.zip
dev-ruby/rest-client: add ruby22 revision
Package-Manager: portage-2.2.28
Diffstat (limited to 'dev-ruby/rest-client')
-rw-r--r--dev-ruby/rest-client/rest-client-1.8.0-r2.ebuild35
1 files changed, 35 insertions, 0 deletions
diff --git a/dev-ruby/rest-client/rest-client-1.8.0-r2.ebuild b/dev-ruby/rest-client/rest-client-1.8.0-r2.ebuild
new file mode 100644
index 00000000000..1e6ecfd69e6
--- /dev/null
+++ b/dev-ruby/rest-client/rest-client-1.8.0-r2.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby20 ruby21 ruby22"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec"
+
+RUBY_FAKEGEM_EXTRADOC="history.md README.rdoc"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Simple Simple HTTP and REST client for Ruby"
+HOMEPAGE="https://github.com/archiloque/rest-client"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_bdepend "test? ( dev-ruby/webmock )"
+
+ruby_add_rdepend "
+ >=dev-ruby/http-cookie-1.0.2:0
+ >=dev-ruby/mime-types-1.16
+ >=dev-ruby/netrc-0.7:0"
+
+all_ruby_prepare() {
+ sed -e '/bundler/I s:^:#:' \
+ -e '/namespace :windows/,/^end/ s:^:#:' -i Rakefile || die
+
+ # Remove spec that requires network access.
+ rm spec/integration/request_spec.rb || die
+}